Bug 795519 - virt-install URL install fails with dracut Warning: dracut: FATAL: No or empty root= argument
virt-install URL install fails with dracut Warning: dracut: FATAL: No or empt...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
x86_64 Linux
high Severity high
: alpha
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 14:01 EST by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 785815
Environment:
Last Closed: 2014-06-13 07:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Harald Hoyer 2012-02-29 12:12:21 EST
might be related? https://bugzilla.redhat.com/show_bug.cgi?id=798660
Comment 6 Martin Jenner 2012-03-19 16:28:51 EDT
Here is an example of how to use the workaround and install a guest using
virt-manager substitute the appropriate $distro

- Installing with RHEL-6 virt-manager

  - click the 'Create a new virtual machine' button
   - choose a name for your VM, select Network Install click the 'Forward' button
   - set installation URL '$distro', URL Options: kernel parameters to 'root=live:$distro/LiveOS/squashfs.img ip=dhcp'  OS_TYPE 'Linux', OS Variant 'Red Hat Enterprise Linux 6' click the 'Forward' button
   - select Memory and CPUs click the 'Forward' button
   - select disk type if file I suggest a size of 8GB click the 'Forward' button
   - review and click 'Finish'
   - now install using anaconda as normal


- Installing with an older RHEL-5 virt-manager

  - highlight the hypervisor line then click the 'New' button
   - choose a name for your VM click the 'Forward' button
   - select Fully Virtualized click the 'Forward' button
   - select 'network install', OS_TYPE 'Linux', OS Variant 'Generic 2.6.x kernel' click the 'Forward' button
   - set installation media to '$distro', kernel parameters to 'root=live:$distro/LiveOS/squashfs.img ip=dhcp' click the 'Forward' button
   - select disk type, if file I suggest a size of 8GB click the 'Forward' button
   - select network (for now I have only tested 'Default') click the 'Forward' button
   - select vcpus and memory click the 'Forward' button
   - review and click 'Finish'
   - now install using anaconda as normal
Comment 8 Harald Hoyer 2012-04-27 07:45:48 EDT
quoting
https://bugzilla.redhat.com/show_bug.cgi?id=811851#c17

With F17 Beta / RHEL7 Alpha 2, the "root=live:XXX" workaround shouldn't be
necessary anymore. In fact, mixing root=live:[URL] and repo=[URL]/ks=[URL] is
likely to cause problems.

Are you using a RHEL7 Alpha 2 build? If so, could you please try with just
repo=[URL] ks=[URL] instead? (These arguments match what's in the existing docs
for anaconda.)
Comment 12 Ludek Smid 2014-06-13 07:50:42 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.